.build:yamllint:
  variables:
    DOCKER_COMPOSE_BUILD_FLAGS: yamllint

build:production:yamllint:
  extends:
    - .build:production
    - .build:yamllint

build:staging:yamllint:
  extends:
    - .build:staging
    - .build:yamllint

build:review:yamllint:
  extends:
    - .build:review
    - .build:yamllint
  rules:
    - if: '$CI_PIPELINE_SOURCE == "merge_request_event"'
      changes:
        - compose.yaml
        - src/yamllint/**/*
